View Issue Details

IDProjectCategoryView StatusLast Update
0005714Kali Linux[All Projects] Tool Upgradepublic2019-09-24 09:02
ReportercaffixAssigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.3 
Target VersionFixed in Version 
Summary0005714: OWASP Amass Critical Bug Fix
DescriptionPrevious versions of Amass fetched files from the Internet that are no longer reachable, which has made those versions of the tool unusable. Amass v3.1.6 and higher have the files embedded in the binary to eliminate the problem.
Steps To ReproduceAttempt to use a version of Amass < v3.1.6 and you'll receive an error related to either not being logged into GitHub or not being able to obtain the files being fetched from the Internet.
Additional InformationThe prebuilt binary appropriate for Kali can be found using the following URL:

https://github.com/OWASP/Amass/releases/download/v3.1.8/amass_v3.1.8_linux_amd64.zip

Relationships

related to 0005699 resolvedsbrun Upgrade amass to 3.1.5 

Activities

sbrun

2019-09-24 09:02

manager   ~0011144

new version 3.1.8-0kali1 is now in kali-rolling

Issue History

Date Modified Username Field Change
2019-09-22 19:34 caffix New Issue
2019-09-22 19:34 caffix Status new => assigned
2019-09-22 19:34 caffix Assigned To => sbrun
2019-09-23 09:15 sbrun Relationship added related to 0005699
2019-09-24 09:02 sbrun Status assigned => resolved
2019-09-24 09:02 sbrun Resolution open => fixed
2019-09-24 09:02 sbrun Note Added: 0011144